yield_timeslice(3)

NAME
yield_timeslice

SYNOPSIS
#include <allegro.h>

void yield_timeslice();

DESCRIPTION
To "play nice" with other processes you can call this function. On systems that support it, it will give up the rest of the current scheduler timeslice and offer it to some other process. Your CPU consumption rate will drop *only* if there is another process ready to use the freed timeslice. Note that calling this inside your active game loop is a very bad idea, you never know when the OS will give you the CPU back, so you could end up missing the vertical retrace and skipping frames.

SEE ALSO
vsync(3)